# History file 'fv.h' to perform network ray tracing in Fresnel volumes
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required:
 #chk.pl: "net/"    "net.fs3"
 #chk.pl: "net/fv/" "fv-gri1.dat"
 #chk.pl: "net/fv/" "fv-net1.dat"
 #chk.pl: "net/fv/" "fv-net2.dat"
 #chk.pl: "net/fv/" "fv-gri3.dat"
 #chk.pl: "net/fv/" "fv-net3.dat"
 #chk.pl: "net/fv/" "fv-net4.dat"
 #chk.pl: "net/fv/" "fv-net.h"
 #chk.pl: "net/fv/" "fv-src.dat"
 #chk.pl: "net/fv/" "fv-rec.dat"
 #chk.pl: "net/fv/" "vgr-mod.dat"

# Model:
  MODEL='vgr-mod.dat'

# Initial grid dimensions:
  N1=25     N2=20     N3=25
  D1=0.040  D2=0.040  D3=0.040
  O1=0.020  O2=0.120  O3=0.020

# Maximum grid density (4 iterations, i.e. NLiMAX=Ni*2**4):
  NL1MAX=200  NL2MAX=160  NL3MAX=200
# This density would require MRAM=200*160*200*5, which corresponds to
# 128MB RAM, for a single run of 'net.for' without iterations.
# Moreover, MRAM=4000000, which needs 16MB RAM, is sufficient for a grid
# twice denser in each direction, which would otherwise require 1GB RAM.

# Numerical parameters for the NET program:
  NFSMAX=0

# Running the programs
# ~~~~~~~~~~~~~~~~~~~~
# The same calculation may be performed by executing this history file:
#   perl go.pl fv-net.h fv-net.out
# or by running Perl script 'fv.pl' with data prefix 'fv-':
#   perl fv.pl fv-
# and quitting it during the fourth iteration.  The former approach,
# with the a priori known number of iterations, is recommended.

# First iteration:
  grid:   'fv-net.h' 'fv-gri1.dat' /
  NET='fv-net1.dat'
  net:    'fv-net.h' /
  NET='fv-net2.dat'
  net:    'fv-net.h' /
  netind: 'fv-net.h' 'fv-net1.dat' 'fv-net2.dat' 'fv-net3.dat' /

# Next iteration:
  grid:   'fv-net.h' 'fv-gri3.dat' /
  NET='fv-net3.dat'
  net:    'fv-net.h' /
  NET='fv-net4.dat'
  net:    'fv-net.h' /
  netind: 'fv-net.h' 'fv-net3.dat' 'fv-net4.dat' 'fv-net3.dat' /

# Next iteration:
  grid:   'fv-net.h' 'fv-gri3.dat' /
  NET='fv-net3.dat'
  net:    'fv-net.h' /
  NET='fv-net4.dat'
  net:    'fv-net.h' /
  netind: 'fv-net.h' 'fv-net3.dat' 'fv-net4.dat' 'fv-net3.dat' /

# Last iteration:
  grid:   'fv-net.h' 'fv-gri3.dat' /
  NET='fv-net3.dat'
  net:    'fv-net.h' /

